# $Revision: 1.2.2.1 $, $Date: 2006/05/15 21:55:28 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	3GPP AMR Floating-point Speech Codec
Summary(pl):	Zmiennoprzecinkowy kodek mowy 3GPP AMR
Name:		amrnb
Version:	0.0.1
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://ronald.bitfreak.net/priv/%{name}-%{version}.tar.gz
# Source0-md5:	c4546d2920cf287847a7286b4dea7472
Patch0:		%{name}-inttypes.patch
URL:		http://www.3gpp.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
3GPP AMR Floating-point Speech Codec.

%description -l pl
Zmiennoprzecinkowy kodek mowy 3GPP AMR.

%package devel
Summary:	Header files for amrnb library
Summary(pl):	Pliki nagwkowe biblioteki amrnb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for amrnb library.

%description devel -l pl
Pliki nagwkowe biblioteki amrnb.

%package static
Summary:	Static amrnb library
Summary(pl):	Statyczna biblioteka amrnb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static amrnb library.

%description static -l pl
Statyczna biblioteka amrnb.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
cp -f /usr/share/automake/config.sub .
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libamrnb.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libamrnb.so
%{_libdir}/libamrnb.la
%{_includedir}/amrnb

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libamrnb.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amrnb.spec,v $
Revision 1.2.2.1  2006/05/15 21:55:28  baggins
- release 2
- BR autoconf, automake
- regenerate configure (needed for amd64)

Revision 1.2  2006/01/15 20:52:50  pluto
- lgpl license, portable inttypes defs, fixed cflags.

Revision 1.1  2006/01/14 23:57:18  qboosh
- new
